Subject: Re: git-pack-objects gitattributes?

From: Michael J Gruber <[email-masked]>
Date: Mon, 19 Oct 2009 21:15:19 +0200

Nasser Grainawi venit, vidit, dixit 19.10.2009 20:47:
> Nasser Grainawi wrote:
>> Hello,
>>
>> I'm trying to avoid doing delta compression on a number of large binary 
>> files. I got a suggestion to use $GIT_DIR/info/attributes and a line 
>> like this:
>> *.bin -delta
>>
>> This doesn't seem to show a big improvement (and honestly I can't find 
>> where in the git-pack-objects source the value of this attribute is used).
>>
>> Could someone shed some light on this attribute and any other 
>> improvements I could make for efficiently serving up a repo over 
>> git-daemon with near-weekly revisions of 100MB+ files?
>>
>> Thanks,
>> Nasser
> 
> ping? any help? anyone?

Well, describing a reproducable test case would help... as well as
telling us your git version.

builtin-pack-objects.c certainly refers to the delta attribute, see
no_try_delta() and its callers.

Have you checked your attrs with git-check-attr? How do you measure the
improvements you expect?

Michael